# norootforbuild

%define _prefix /usr

%if 0%{?suse_version} >= 1010 || 0%{?sles_version} >= 10
%define _name		php5-pear-net_smtp
%define _phpdir	php5
%define _phpbin	%{_bindir}/php5
%define _peardir	PEAR
%define _pear		pear5
%endif
%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0 || 0%{?sles_version} == 9
%define _name		php4-pear-net_smtp
%define _phpdir	php
%define _phpbin	%{_bindir}/php
%define _peardir	/
%define _pear		pear
%endif

# otherwise build fail on > 1010 due to /tmp files
# and --packageroot is the correct way but does not
# work on 10.1 (pear error..)
%if 0%{?suse_version} > 1010
%define _packorinst --packagingroot
%else
%define _packorinst --installroot
%endif

Name:				%{_name}
Version:			1.2.8
Release:			3.3
Summary:			Provides an implementation of the SMTP protocol
License:			PHP License
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_SMTP/
Source0:			http://pear.php.net/get/Net_SMTP-%{version}.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if 0%{?suse_version} >= 1010
PreReq:                 php5-pear
Requires:               php5-pear php5-pear-net_socket php5-pear-auth_sasl
BuildRequires:          php5-pear
%endif

%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
PreReq:                 php4-pear
Requires:               php4-pear php4-pear-net_socket php4-pear-auth_sasl
BuildRequires:          php4-pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
PreReq:                 php-pear
Requires:               php-pear php-pear-net_socket php-pear-auth_sasl
BuildRequires:          php-pear
%endif


%description
Provides an implementation of the SMTP protocol using PEAR's Net_Socket class.

Authors:
--------
	Chuck Hagenbuch
	Jon Parise

%prep
%build

%install
%{_phpbin} -d memory_limit=50m
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install --nodeps \
         %{_packorinst}=%{buildroot} %{SOURCE0}
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}/Net_SMTP/docs/examples/basic.php
%doc %{_docdir}/%{name}/Net_SMTP/docs/guide.txt
%{_datadir}/%{_phpdir}/%{_peardir}/Net/SMTP.php
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_SMTP/tests/auth.phpt
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_SMTP/tests/basic.phpt
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_SMTP/tests/config.php.dist
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_SMTP/tests/quotedata.phpt
							

%changelog
* Thu Dec 07 2006 Marcus Hüwe <suse-tux@gmx.de>
- use --packagingroot instead of --installroot
* Sun Oct 29 2006 Marcus Hüwe <suse-tux@gmx.de>
- update to version 1.2.8
- minor spec file changes
* Sat Jun 10 2006 Marcus Hüwe <suse-tux@gmx.de>
- made spec file portable for other suse-versions
- adapt name tag to suse's php-pear-naming-style
- added php.ini otherwise it doesn't build on 10.1 (too less memory)   (thanks darix)
* Mon Apr 17 2006 Marcus Hüwe <suse-tux@gmx.de>
- rebuild on 10.1
* Mon Jan 23 2006 Marcus Hüwe <suse-tux@gmx.de>
- initial build
